## nvidia-texture-tools 2.0.8

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0)
PROJECT(NV)
ENABLE_TESTING()

SET(NV_CMAKE_DIR "${NV_SOURCE_DIR}/cmake")
SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${NV_CMAKE_DIR}")

IF(WIN32)
	SET(GNUWIN32 "${NV_SOURCE_DIR}/gnuwin32")
	SET(CMAKE_INCLUDE_PATH "${GNUWIN32}/include")
	SET(CMAKE_LIBRARY_PATH "${GNUWIN32}/lib")
ENDIF(WIN32)

INCLUDE(${NV_CMAKE_DIR}/OptimalOptions.cmake)
MESSAGE(STATUS "Setting optimal options")
MESSAGE(STATUS "  Processor: ${NV_SYSTEM_PROCESSOR}")
MESSAGE(STATUS "  Compiler Flags: ${CMAKE_CXX_FLAGS}")

IF(NVTT_SHARED)
	SET(NVCORE_SHARED TRUE)
	SET(NVMATH_SHARED TRUE)
	SET(NVIMAGE_SHARED TRUE)
ENDIF(NVTT_SHARED)


ADD_SUBDIRECTORY(src)

IF(WIN32)
	ADD_SUBDIRECTORY(gnuwin32)
ENDIF(WIN32)

=== src/CMakeLists.txt ===

SUBDIRS(nvcore)
SUBDIRS(nvmath)
SUBDIRS(nvimage)
SUBDIRS(nvtt)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

# OpenGL
INCLUDE(FindOpenGL)
IF(OPENGL_FOUND)
	MESSAGE(STATUS "Looking for OpenGL - found")
ELSE(OPENGL_FOUND)
	MESSAGE(STATUS "Looking for OpenGL - not found")
ENDIF(OPENGL_FOUND)

# GLUT
INCLUDE(${NV_CMAKE_DIR}/FindGLUT.cmake)
#INCLUDE(FindGLUT)
IF(GLUT_FOUND)
	MESSAGE(STATUS "Looking for GLUT - found")
ELSE(GLUT_FOUND)
	MESSAGE(STATUS "Looking for GLUT - not found")
ENDIF(GLUT_FOUND)

# DirectX
INCLUDE(${NV_CMAKE_DIR}/FindDirectX.cmake)
IF(DX10_FOUND)
	MESSAGE(STATUS "Looking for DirectX - found")
ELSE(DX10_FOUND)
	MESSAGE(STATUS "Looking for DirectX - not found")
ENDIF(DX10_FOUND)

# GLEW
INCLUDE(${NV_CMAKE_DIR}/FindGLEW.cmake)
IF(GLEW_FOUND)
	MESSAGE(STATUS "Looking for GLEW - found")
ELSE(GLEW_FOUND)
	MESSAGE(STATUS "Looking for GLEW - not found")
ENDIF(GLEW_FOUND)

# Cg
INCLUDE(${NV_CMAKE_DIR}/FindCg.cmake)
IF(CG_FOUND)
	MESSAGE(STATUS "Looking for Cg - found")
ELSE(CG_FOUND)
	MESSAGE(STATUS "Looking for Cg - not found")
ENDIF(CG_FOUND)

# CUDA
INCLUDE(${NV_CMAKE_DIR}/FindCUDA.cmake)
IF(CUDA_FOUND)
	SET(HAVE_CUDA ${CUDA_FOUND} CACHE BOOL "Set to TRUE if CUDA is found, FALSE otherwise")
	MESSAGE(STATUS "Looking for CUDA - found")
ELSE(CUDA_FOUND)
	MESSAGE(STATUS "Looking for CUDA - not found")
ENDIF(CUDA_FOUND)

# Maya
INCLUDE(${NV_CMAKE_DIR}/FindMaya.cmake)
IF(MAYA_FOUND)
	SET(HAVE_MAYA ${MAYA_FOUND} CACHE BOOL "Set to TRUE if Maya is found, FALSE otherwise")
	MESSAGE(STATUS "Looking for Maya - found")
ELSE(MAYA_FOUND)
	MESSAGE(STATUS "Looking for Maya - not found")
ENDIF(MAYA_FOUND)

# JPEG
INCLUDE(FindJPEG)
IF(JPEG_FOUND)
	SET(HAVE_JPEG ${JPEG_FOUND} CACHE BOOL "Set to TRUE if JPEG is found, FALSE otherwise")
	MESSAGE(STATUS "Looking for JPEG - found")
ELSE(JPEG_FOUND)
	MESSAGE(STATUS "Looking for JPEG - not found")
ENDIF(JPEG_FOUND)

# PNG
INCLUDE(FindPNG)
IF(PNG_FOUND)
	SET(HAVE_PNG ${PNG_FOUND} CACHE BOOL "Set to TRUE if PNG is found, FALSE otherwise")
	MESSAGE(STATUS "Looking for PNG - found")
ELSE(PNG_FOUND)
	MESSAGE(STATUS "Looking for PNG - not found")
ENDIF(PNG_FOUND)

# TIFF
INCLUDE(FindTIFF)
IF(TIFF_FOUND)
	SET(HAVE_TIFF ${TIFF_FOUND} CACHE BOOL "Set to TRUE if TIFF is found, FALSE otherwise")
	MESSAGE(STATUS "Looking for TIFF - found")
ELSE(TIFF_FOUND)
	MESSAGE(STATUS "Looking for TIFF - not found")
ENDIF(TIFF_FOUND)

# OpenEXR
INCLUDE(${NV_CMAKE_DIR}/FindOpenEXR.cmake)
IF(OPENEXR_FOUND)
	SET(HAVE_OPENEXR ${OPENEXR_FOUND} CACHE BOOL "Set to TRUE if OpenEXR is found, FALSE otherwise")
	MESSAGE(STATUS "Looking for OpenEXR - found")
ELSE(OPENEXR_FOUND)
	MESSAGE(STATUS "Looking for OpenEXR - not found")
ENDIF(OPENEXR_FOUND)

# Qt
FIND_PACKAGE(Qt4)

# Threads
FIND_PACKAGE(Threads REQUIRED)
MESSAGE(STATUS "Use thread library: ${CMAKE_THREAD_LIBS_INIT}")

# configuration file
INCLUDE(CheckIncludeFiles)

CHECK_INCLUDE_FILES(unistd.h HAVE_UNISTD_H)
CHECK_INCLUDE_FILES(stdarg.h HAVE_STDARG_H)
CHECK_INCLUDE_FILES(signal.h HAVE_SIGNAL_H)
CHECK_INCLUDE_FILES(execinfo.h HAVE_EXECINFO_H)
CHECK_INCLUDE_FILES(malloc.h HAVE_MALLOC_H)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/nvconfig.h.in ${CMAKE_CURRENT_BINARY_DIR}/nvconfig.h)

#INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nvconfig.h DESTINATION include)

=== src/nvcore/CMakeLists.txt ===
PROJECT(nvcore)
ADD_SUBDIRECTORY(poshlib)

SET(CORE_SRCS
	nvcore.h
	Ptr.h
	BitArray.h
	Memory.h
	Memory.cpp
	Debug.h
	Debug.cpp
	Containers.h
	StrLib.h
	StrLib.cpp
	Stream.h
	StdStream.h
	TextReader.h
	TextReader.cpp
	TextWriter.h
	TextWriter.cpp
	Radix.h
	Radix.cpp
	Library.h
	Library.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

# targets
ADD_DEFINITIONS(-DNVCORE_EXPORTS)

IF(UNIX)
	SET(LIBS ${LIBS} ${CMAKE_DL_LIBS})
ENDIF(UNIX)

IF(NVCORE_SHARED)
	ADD_DEFINITIONS(-DNVCORE_SHARED=1)
	ADD_LIBRARY(nvcore SHARED ${CORE_SRCS})
ELSE(NVCORE_SHARED)
	ADD_LIBRARY(nvcore ${CORE_SRCS})
ENDIF(NVCORE_SHARED)

TARGET_LINK_LIBRARIES(nvcore ${LIBS})

INSTALL(TARGETS nvcore
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib/static)

=== src/nvimage/CMakeLists.txt ===
PROJECT(nvimage)

SET(IMAGE_SRCS	
	nvimage.h
	FloatImage.h
	FloatImage.cpp
	Filter.h
	Filter.cpp
	Image.h
	Image.cpp
	ImageIO.h
	ImageIO.cpp
	ColorBlock.h
	ColorBlock.cpp
	BlockDXT.h
	BlockDXT.cpp
	HoleFilling.h
	HoleFilling.cpp
	DirectDrawSurface.h
	DirectDrawSurface.cpp
	Quantize.h
	Quantize.cpp
	NormalMap.h
	NormalMap.cpp
	NormalMipmap.h
	NormalMipmap.cpp
	PsdFile.h
	TgaFile.h)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

IF(PNG_FOUND)
	SET(LIBS ${LIBS} ${PNG_LIBRARIES})
	INCLUDE_DIRECTORIES(${PNG_INCLUDE_DIR})
ENDIF(PNG_FOUND)

IF(JPEG_FOUND)
	SET(LIBS ${LIBS} ${JPEG_LIBRARIES})
	INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
ENDIF(JPEG_FOUND)

IF(TIFF_FOUND)
	SET(LIBS ${LIBS} ${TIFF_LIBRARIES})
	INCLUDE_DIRECTORIES(${TIFF_INCLUDE_DIR})
ENDIF(TIFF_FOUND)

IF(OPENEXR_FOUND)
	SET(LIBS ${LIBS} ${OPENEXR_LIBRARIES})
	INCLUDE_DIRECTORIES(${OPENEXR_INCLUDE_PATHS})
ENDIF(OPENEXR_FOUND)

# targets
ADD_DEFINITIONS(-DNVIMAGE_EXPORTS)

IF(NVIMAGE_SHARED)	
	ADD_DEFINITIONS(-DNVIMAGE_SHARED=1)
	ADD_LIBRARY(nvimage SHARED ${IMAGE_SRCS})
ELSE(NVIMAGE_SHARED)
	ADD_LIBRARY(nvimage ${IMAGE_SRCS})
ENDIF(NVIMAGE_SHARED)

TARGET_LINK_LIBRARIES(nvimage ${LIBS} nvcore nvmath posh)

INSTALL(TARGETS nvimage
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib/static)

=== src/nvmath/CMakeLists.txt ===
PROJECT(nvmath)

SET(MATH_SRCS
	nvmath.h
	Vector.h
	Matrix.h
	Quaternion.h
	Box.h
	Color.h
	Montecarlo.h Montecarlo.cpp
	Random.h Random.cpp
	SphericalHarmonic.h SphericalHarmonic.cpp
	Basis.h Basis.cpp
	Triangle.h Triangle.cpp TriBox.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

# targets
ADD_DEFINITIONS(-DNVMATH_EXPORTS)

IF(NVMATH_SHARED)
	ADD_DEFINITIONS(-DNVMATH_SHARED=1)
	ADD_LIBRARY(nvmath SHARED ${MATH_SRCS})
ELSE(NVMATH_SHARED)
	ADD_LIBRARY(nvmath ${MATH_SRCS})
ENDIF(NVMATH_SHARED)

TARGET_LINK_LIBRARIES(nvmath ${LIBS} nvcore)

INSTALL(TARGETS nvmath
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib/static)

=== src/nvtt/CMakeLists.txt ===
PROJECT(nvtt)

ADD_SUBDIRECTORY(squish)

SET(NVTT_SRCS
	nvtt.h 
	nvtt.cpp
	Compressor.h
	Compressor.cpp
	nvtt_wrapper.h
	nvtt_wrapper.cpp
	CompressDXT.h
	CompressDXT.cpp
	CompressRGB.h
	CompressRGB.cpp
	QuickCompressDXT.h
	QuickCompressDXT.cpp
	OptimalCompressDXT.h
	OptimalCompressDXT.cpp
	SingleColorLookup.h
	CompressionOptions.h
	CompressionOptions.cpp
	InputOptions.h
	InputOptions.cpp
	OutputOptions.h
	OutputOptions.cpp
	cuda/CudaUtils.h
	cuda/CudaUtils.cpp
	cuda/CudaMath.h
	cuda/Bitmaps.h
	cuda/CudaCompressDXT.h
	cuda/CudaCompressDXT.cpp)

IF(CUDA_FOUND)
	ADD_DEFINITIONS(-DHAVE_CUDA)
	WRAP_CUDA(CUDA_SRCS cuda/CompressKernel.cu)
	SET(NVTT_SRCS ${NVTT_SRCS} ${CUDA_SRCS})
	SET(LIBS ${LIBS} ${CUDA_LIBRARIES})
	INCLUDE_DIRECTORIES(${CUDA_INCLUDE_PATH})
ENDIF(CUDA_FOUND)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

ADD_DEFINITIONS(-DNVTT_EXPORTS)

IF(NVTT_SHARED)
	ADD_DEFINITIONS(-DNVTT_SHARED=1)
	ADD_LIBRARY(nvtt SHARED ${NVTT_SRCS})
ELSE(NVTT_SHARED)
	ADD_LIBRARY(nvtt ${NVTT_SRCS})
ENDIF(NVTT_SHARED)

TARGET_LINK_LIBRARIES(nvtt ${LIBS} nvcore nvmath nvimage squish)

INSTALL(TARGETS nvtt 
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib/static)

INSTALL(FILES nvtt.h DESTINATION include/nvtt)



# test executables
ADD_EXECUTABLE(nvcompress tools/compress.cpp tools/cmdline.h)
TARGET_LINK_LIBRARIES(nvcompress nvcore nvmath nvimage nvtt)

ADD_EXECUTABLE(nvdecompress tools/decompress.cpp tools/cmdline.h)
TARGET_LINK_LIBRARIES(nvdecompress nvcore nvmath nvimage)

ADD_EXECUTABLE(nvddsinfo tools/ddsinfo.cpp tools/cmdline.h)
TARGET_LINK_LIBRARIES(nvddsinfo nvcore nvmath nvimage)

ADD_EXECUTABLE(nvimgdiff tools/imgdiff.cpp tools/cmdline.h)
TARGET_LINK_LIBRARIES(nvimgdiff nvcore nvmath nvimage)

ADD_EXECUTABLE(nvassemble tools/assemble.cpp tools/cmdline.h)
TARGET_LINK_LIBRARIES(nvassemble nvcore nvmath nvimage)

ADD_EXECUTABLE(filtertest tests/filtertest.cpp tools/cmdline.h)
TARGET_LINK_LIBRARIES(filtertest nvcore nvmath nvimage)

ADD_EXECUTABLE(nvzoom tools/resize.cpp tools/cmdline.h)
TARGET_LINK_LIBRARIES(nvzoom nvcore nvmath nvimage)

INSTALL(TARGETS nvcompress nvdecompress nvddsinfo nvimgdiff nvassemble nvzoom DESTINATION bin)

# UI tools
IF(QT4_FOUND AND NOT MSVC)
	SET(QT_USE_QTOPENGL TRUE)
	INCLUDE_DIRECTORIES(${QT_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
	
	SET(SRCS
		tools/main.cpp
		tools/configdialog.h
		tools/configdialog.cpp)

	SET(LIBS
		nvtt
		${QT_QTCORE_LIBRARY}
		${QT_QTGUI_LIBRARY}
		${QT_QTOPENGL_LIBRARY})

	QT4_WRAP_UI(UICS tools/configdialog.ui)
	QT4_WRAP_CPP(MOCS tools/configdialog.h)
	#QT4_ADD_RESOURCES(RCCS tools/configdialog.rc)

	ADD_EXECUTABLE(nvcompressui MACOSX_BUNDLE ${SRCS} ${UICS} ${MOCS})
	TARGET_LINK_LIBRARIES(nvcompressui ${LIBS})

ENDIF(QT4_FOUND AND NOT MSVC)

=== src/nvtt/squish/CMakeLists.txt ===
PROJECT(squish)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

SET(SQUISH_SRCS
	fastclusterfit.cpp
	fastclusterfit.h
	weightedclusterfit.cpp
	weightedclusterfit.h
	colourblock.cpp
	colourblock.h
	colourfit.cpp
	colourfit.h
	colourset.cpp
	colourset.h
	config.h
	maths.cpp
	maths.h
	simd.h
	simd_sse.h
	simd_ve.h)

ADD_LIBRARY(squish STATIC ${SQUISH_SRCS})

IF(CMAKE_COMPILER_IS_GNUCXX)
	SET_TARGET_PROPERTIES(squish PROPERTIES COMPILE_FLAGS -fPIC)
ENDIF(CMAKE_COMPILER_IS_GNUCXX)

## nvidia-texture-tools 2.0.8-1+dfsg

=== debian/changelog ===
nvidia-texture-tools (2.0.8-1+dfsg-11) unstable; urgency=medium

  * Fix building with CMake 4.  (Closes: #1113334)
  * Drop unused Build-Depends.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Sep 2025 09:17:34 +0200

nvidia-texture-tools (2.0.8-1+dfsg-10) unstable; urgency=medium

  * Adopt package by the Debian NVIDIA Maintainers and add myself to
    Uploaders.  (Closes: #1111796)
  * Simplify the multiarch changes.
  * Add upstream metadata.
  * Add .symbols control file.
  * Make the packages Architecture: any.
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Update watch file.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 13 Sep 2025 08:55:51 +0200

nvidia-texture-tools (2.0.8-1+dfsg-9) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Point Vcs-fields to Salsa
    Closes: #838287
  * d/copyright: Adapt to new version
  * debhelper-compat=13
  * cme fix dpkg-control
  * Build-Depends: s/libilmbase-dev/libimath-dev/
    Closes: #1018013
  * d/copyright: review
  * d/rules:
     - drop unneeded get-orig-source target
     - hardening options
  * debian/libnvtt2.postinst: Removed
  * Using cmake in d/rules Closes: #1049236

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure pass cross compilers (Closes: #851299)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Aug 2025 14:50:03 +0200

nvidia-texture-tools (2.0.8-1+dfsg-8.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Enable ppc64el in d/control and add patch to fix build : Timothy Pearson
    upstream patches on 2.1 do not apply on 2.0.8 but in the end, 2.0.8 and
    2.1.1 should be fixed (Closes: #828711)

 -- Frédéric Bonnard <frediz@debian.org>  Fri, 27 Sep 2019 15:04:53 +0200

nvidia-texture-tools (2.0.8-1+dfsg-8.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Adrian Bunk ]
  * Fix FTBFS with GCC 6. (Closes: #811612)

 -- James Cowgill <jcowgill@debian.org>  Mon, 19 Sep 2016 12:41:04 +0000

nvidia-texture-tools (2.0.8-1+dfsg-8) unstable; urgency=medium

  * Removed symbols file

 -- Lennart Weller <lhw@ring0.de>  Tue, 08 Dec 2015 08:51:11 +0100

nvidia-texture-tools (2.0.8-1+dfsg-7) unstable; urgency=low

  * Removed obsolete multiarch dependency
  * Updated nvtt source information
  * Updated watch file for github and new versioning
  * Added symbols file
  * Patched out spelling mistakes mentioned by lintian
  * Moved libnvtt-bin to graphics section

 -- Lennart Weller <lhw@ring0.de>  Mon, 30 Nov 2015 13:04:13 +0100

nvidia-texture-tools (2.0.8-1+dfsg-6) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add ARM64 support (Closes: #790317)

  [ Lennart Weller ]
  * New Standards-Version
  * Updated Homepage/Build-Depends

 -- Lennart Weller <lhw@ring0.de>  Tue, 17 Nov 2015 08:44:25 +0100

nvidia-texture-tools (2.0.8-1+dfsg-5) unstable; urgency=medium

  [ Ondřej Surý ]
  * Change B-D to libjpeg-dev to finish the transition to libjpeg-turbo

 -- Lennart Weller <lhw@ring0.de>  Fri, 03 Oct 2014 21:25:53 +0200

nvidia-texture-tools (2.0.8-1+dfsg-4) unstable; urgency=low

  [ Fabio Pedretti ]
  * Add armel and armhf build support (Closes: #721972)
  * Remove -march=athlon64 from CXXFLAGS (Closes: #713966, #712956)

 -- Lennart Weller <lhw@ring0.de>  Sat, 07 Sep 2013 02:16:32 +0200

nvidia-texture-tools (2.0.8-1+dfsg-3) unstable; urgency=low

  * Fixed a warning for incompatible typedefs on amd64 builds (Closes: #689642)
  * Updated to newest debian standard version 3.9.4
  * Enable hardening flags

 -- Lennart Weller <lhw@ring0.de>  Thu, 20 Sep 2012 11:01:21 +0200

nvidia-texture-tools (2.0.8-1+dfsg-2) unstable; urgency=low

  * Cherry picked some revisions from upstream
  * Fixed debian/watch file (Closes: #666259)
  * Replaced C++ symbols file with shlibdeps (Closes: #666254)
  * Fixed architecture build (Closes: #666252)

 -- Lennart Weller <lhw@ring0.de>  Sat, 31 Mar 2012 23:49:30 +0200

nvidia-texture-tools (2.0.8-1+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #666010)

 -- Lennart Weller <lhw@ring0.de>  Tue, 27 Mar 2012 22:01:03 +0200

=== debian/control ===
Source: nvidia-texture-tools
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Lennart Weller <lhw@ring0.de>,
 Andreas Beckmann <anbe@debian.org>,
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libglut-dev,
               libglew-dev,
               libjpeg-dev,
               libopenexr-dev,
               libpng-dev,
               libtiff-dev,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/nvidia-texture-tools
Vcs-Git: https://salsa.debian.org/debian/nvidia-texture-tools.git
Homepage: https://github.com/castano/nvidia-texture-tools

Package: libnvtt2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: NVIDIA Texture Tools
 NVIDIA Texture Tools is a collection of image processing and texture
 manipulation tools, designed to be integrated in game tools and asset
 conditioning pipelines.  The primary features of the library are mipmap and
 normal map generation, format conversion and DXT compression.

Package: libnvtt-bin
Architecture: any
Multi-Arch: foreign
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: nvidia-texture-tools
Description: NVIDIA Texture Tools (Binaries)
 NVIDIA Texture Tools is a collection of image processing and texture
 manipulation tools, designed to be integrated in game tools and asset
 conditioning pipelines.  The primary features of the library are mipmap and
 normal map generation, format conversion and DXT compression.
 .
 This package contains the nvidia texture tools.

Package: libnvtt-dev
Architecture: any
Section: libdevel
Depends: libnvtt2 (= ${binary:Version}),
         ${misc:Depends}
Description: NVIDIA Texture Tools (Header)
 NVIDIA Texture Tools is a collection of image processing and texture
 manipulation tools, designed to be integrated in game tools and asset
 conditioning pipelines.  The primary features of the library are mipmap and
 normal map generation, format conversion and DXT compression.
 .
 This package contains the header and development files needed to build
 programs and packages using libnvtt.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS	 = hardening=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DNVTT_SHARED=1 \

override_dh_installdocs:
	dh_installdocs --link-doc=libnvtt2

=== debian/watch ===
version=4
opts="repacksuffix=~dfsg,dversionmangle=auto" \
    https://github.com/castano/nvidia-texture-tools/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## nvidia-texture-tools 2.1.0

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.0)
PROJECT(NV)
ENABLE_TESTING()

SET(NV_CMAKE_DIR "${NV_SOURCE_DIR}/cmake")
SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${NV_CMAKE_DIR}")

# GCC check (needs -std:c++11 flag)
if(CMAKE_COMPILER_IS_GNUCC)
	ADD_DEFINITIONS("-std=c++11")
ENDIF(CMAKE_COMPILER_IS_GNUCC)

IF(WIN32)
	# gnuwin32 paths:
	SET(GNUWIN32_PATH "${NV_SOURCE_DIR}/extern/gnuwin32")
	SET(CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH} "${GNUWIN32_PATH}/include")
	SET(CMAKE_LIBRARY_PATH ${CMAKE_LIBRARY_PATH} "${GNUWIN32_PATH}/lib")
	
	# Set GLUT path:
	SET(GLUT_ROOT_DIR "${NV_SOURCE_DIR}/extern/glut")

	# Set FreeImage path:
	SET(FREEIMAGE_ROOT_DIR "${NV_SOURCE_DIR}/extern/FreeImage")
	
ENDIF(WIN32)

INCLUDE(${NV_CMAKE_DIR}/OptimalOptions.cmake)
MESSAGE(STATUS "Setting optimal options")
MESSAGE(STATUS "  Processor: ${NV_SYSTEM_PROCESSOR}")
MESSAGE(STATUS "  Compiler Flags: ${CMAKE_CXX_FLAGS}")

IF(CMAKE_BUILD_TYPE MATCHES "debug")
	SET(CMAKE_DEBUG_POSTFIX "_d" CACHE STRING "Postfix for debug build libraries.")
ENDIF()


IF(NVTT_SHARED)
	SET(NVCORE_SHARED TRUE)
	SET(NVMATH_SHARED TRUE)
	SET(NVIMAGE_SHARED TRUE)
ENDIF(NVTT_SHARED)

ADD_SUBDIRECTORY(extern)

ADD_SUBDIRECTORY(src)

# These files should only be installed when creating packages.
INSTALL(FILES 
	NVIDIA_Texture_Tools_LICENSE.txt
	NVIDIA_Texture_Tools_README.txt
	ChangeLog 
	DESTINATION share/doc/nvtt)

# Add packaging support
INCLUDE(InstallRequiredSystemLibraries)

IF(CMAKE_SYSTEM_NAME STREQUAL "Linux")
	SET(CPACK_GENERATOR "TGZ;DEB")
ENDIF(CMAKE_SYSTEM_NAME STREQUAL "Linux")

SET(CPACK_PACKAGE_NAME "nvidia-texture-tools")
SET(CPACK_PACKAGE_VERSION_MAJOR "2")
SET(CPACK_PACKAGE_VERSION_MINOR "1")
SET(CPACK_PACKAGE_VERSION_PATCH "0")
SET(CPACK_PACKAGE_VERSION "2.1.0")
SET(CPACK_PACKAGE_CONTACT "Ignacio Castao <icastano@nvidia.com>")
SET(CPACK_PACKAGE_VENDOR "NVIDIA Corporation")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "GPU-accelerated Texture Tools with support for DirectX 10 texture formats")

SET(CPACK_PACKAGE_DESCRIPTION_FILE "${NV_SOURCE_DIR}/NVIDIA_Texture_Tools_README.txt")
SET(CPACK_RESOURCE_FILE_LICENSE "${NV_SOURCE_DIR}/NVIDIA_Texture_Tools_LICENSE.txt")

# NSIS options:
IF(WIN32)
	SET(CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_VENDOR}\\\\NVIDIA Texture Tools 2.1")
	SET(CPACK_PACKAGE_INSTALL_DIRECTORY "${CPACK_PACKAGE_VENDOR}\\\\NVIDIA Texture Tools 2.1")
	SET(CPACK_PACKAGE_ICON "${NV_SOURCE_DIR}\\\\project\\\\vc8\\\\nvcompress\\\\nvidia.ico")
ENDIF(WIN32)

INCLUDE(CPack)

=== extern/CMakeLists.txt ===

IF(WIN32)
	ADD_SUBDIRECTORY(gnuwin32)
ENDIF(WIN32)

ADD_SUBDIRECTORY(poshlib)

=== src/CMakeLists.txt ===

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
INCLUDE_DIRECTORIES(${NV_SOURCE_DIR}/extern/poshlib)
INCLUDE_DIRECTORIES(${NV_SOURCE_DIR}/extern/stb)

SUBDIRS(nvcore)
SUBDIRS(nvmath)
SUBDIRS(nvimage)
SUBDIRS(nvthread)
SUBDIRS(nvtt)
SUBDIRS(bc6h)
SUBDIRS(bc7)

# OpenGL
#INCLUDE(FindOpenGL)
#IF(OPENGL_FOUND)
#	MESSAGE(STATUS "Looking for OpenGL - found")
#ELSE(OPENGL_FOUND)
#	MESSAGE(STATUS "Looking for OpenGL - not found")
#ENDIF(OPENGL_FOUND)

# GLUT
#INCLUDE(FindGLUT)
#IF(GLUT_FOUND)
#	MESSAGE(STATUS "Looking for GLUT - found")
#ELSE(GLUT_FOUND)
#	MESSAGE(STATUS "Looking for GLUT - not found")
#ENDIF(GLUT_FOUND)

# DirectX
#INCLUDE(${NV_CMAKE_DIR}/FindDirectX.cmake)
#IF(DX10_FOUND)
#	MESSAGE(STATUS "Looking for DirectX - found")
#ELSE(DX10_FOUND)
#	MESSAGE(STATUS "Looking for DirectX - not found")
#ENDIF(DX10_FOUND)

# GLEW
#INCLUDE(${NV_CMAKE_DIR}/FindGLEW.cmake)
#IF(GLEW_FOUND)
#	MESSAGE(STATUS "Looking for GLEW - found")
#ELSE(GLEW_FOUND)
#	MESSAGE(STATUS "Looking for GLEW - not found")
#ENDIF(GLEW_FOUND)

# Cg
#INCLUDE(${NV_CMAKE_DIR}/FindCg.cmake)
#IF(CG_FOUND)
#	MESSAGE(STATUS "Looking for Cg - found")
#ELSE(CG_FOUND)
#	MESSAGE(STATUS "Looking for Cg - not found")
#ENDIF(CG_FOUND)

# CUDA
#FIND_PACKAGE(CUDA)
IF(CUDA_FOUND)
    IF(MINGW)
        MESSAGE(STATUS "Looking for CUDA - not supported on MinGW")
        UNSET(CUDA_FOUND)
    ENDIF(MINGW)
    IF(CUDA_FOUND)
        SET(HAVE_CUDA ${CUDA_FOUND} CACHE BOOL "Set to TRUE if CUDA is found, FALSE otherwise")
        MESSAGE(STATUS "Looking for CUDA - found")
    ENDIF(CUDA_FOUND)
ELSE(CUDA_FOUND)
    MESSAGE(STATUS "Looking for CUDA - not found")
ENDIF(CUDA_FOUND)

# Maya
#INCLUDE(${NV_CMAKE_DIR}/FindMaya.cmake)
#IF(MAYA_FOUND)
#	SET(HAVE_MAYA ${MAYA_FOUND} CACHE BOOL "Set to TRUE if Maya is found, FALSE otherwise")
#	MESSAGE(STATUS "Looking for Maya - found")
#ELSE(MAYA_FOUND)
#	MESSAGE(STATUS "Looking for Maya - not found")
#ENDIF(MAYA_FOUND)

# FreeImage
#INCLUDE(${NV_CMAKE_DIR}/FindFreeImage.cmake)
#IF(FREEIMAGE_FOUND)
#	SET(HAVE_FREEIMAGE ${FREEIMAGE_FOUND} CACHE BOOL "Set to TRUE if FreeImage is found, FALSE otherwise")
#	MESSAGE(STATUS "Looking for FreeImage - found")
#ELSE(FREEIMAGE_FOUND)
#	MESSAGE(STATUS "Looking for FreeImage - not found")
#ENDIF(FREEIMAGE_FOUND)

# JPEG
#INCLUDE(FindJPEG)
#IF(JPEG_FOUND)
#	SET(HAVE_JPEG ${JPEG_FOUND} CACHE BOOL "Set to TRUE if JPEG is found, FALSE otherwise")
#	MESSAGE(STATUS "Looking for JPEG - found")
#ELSE(JPEG_FOUND)
#	MESSAGE(STATUS "Looking for JPEG - not found")
#ENDIF(JPEG_FOUND)

# PNG
#INCLUDE(FindPNG)
#IF(PNG_FOUND)
#	SET(HAVE_PNG ${PNG_FOUND} CACHE BOOL "Set to TRUE if PNG is found, FALSE otherwise")
#	MESSAGE(STATUS "Looking for PNG - found")
#ELSE(PNG_FOUND)
#	MESSAGE(STATUS "Looking for PNG - not found")
#ENDIF(PNG_FOUND)

# TIFF
#SET(TIFF_NAMES libtiff)
#INCLUDE(FindTIFF)
#IF(TIFF_FOUND)
#	SET(HAVE_TIFF ${TIFF_FOUND} CACHE BOOL "Set to TRUE if TIFF is found, FALSE otherwise")
#	MESSAGE(STATUS "Looking for TIFF - found")
#ELSE(TIFF_FOUND)
#	MESSAGE(STATUS "Looking for TIFF - not found")
#ENDIF(TIFF_FOUND)

# OpenEXR
#INCLUDE(${NV_CMAKE_DIR}/FindOpenEXR.cmake)
#IF(OPENEXR_FOUND)
#	SET(HAVE_OPENEXR ${OPENEXR_FOUND} CACHE BOOL "Set to TRUE if OpenEXR is found, FALSE otherwise")
#	MESSAGE(STATUS "Looking for OpenEXR - found")
#ELSE(OPENEXR_FOUND)
#	MESSAGE(STATUS "Looking for OpenEXR - not found")
#ENDIF(OPENEXR_FOUND)

# OpenMP
INCLUDE(FindOpenMP)
IF(OPENMP_FOUND)
	SET(HAVE_OPENMP ${OPENMP_FOUND} CACHE BOOL "Set to TRUE if OpenMP is found, FALSE otherwise")
	MESSAGE(STATUS "Looking for OpenMP - found")
	SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
	SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
ELSE(OPENMP_FOUND)
	MESSAGE(STATUS "Looking for OpenMP - not found")
ENDIF(OPENMP_FOUND)
	
# Threads
FIND_PACKAGE(Threads REQUIRED)
MESSAGE(STATUS "Use thread library: ${CMAKE_THREAD_LIBS_INIT}")
SET(LIBS ${LIBS} ${CMAKE_THREAD_LIBS_INIT})

# configuration file
INCLUDE(CheckIncludeFiles)

CHECK_INCLUDE_FILES("unistd.h" HAVE_UNISTD_H)
CHECK_INCLUDE_FILES("stdarg.h" HAVE_STDARG_H)
CHECK_INCLUDE_FILES("signal.h" HAVE_SIGNAL_H)
CHECK_INCLUDE_FILES("execinfo.h" HAVE_EXECINFO_H)
CHECK_INCLUDE_FILES("malloc.h" HAVE_MALLOC_H)
CHECK_INCLUDE_FILES("dispatch/dispatch.h" HAVE_DISPATCH_H)

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/nvconfig.h.in ${CMAKE_CURRENT_BINARY_DIR}/nvconfig.h)

#INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/nvconfig.h DESTINATION include)

=== src/nvcore/CMakeLists.txt ===
PROJECT(nvcore)

SET(CORE_SRCS
    nvcore.h
    Array.h
    Debug.h Debug.cpp
    DefsGnucDarwin.h
    DefsGnucLinux.h
    DefsGnucWin32.h
    DefsVcWin32.h
    FileSystem.h FileSystem.cpp
    ForEach.h
    Memory.h Memory.cpp
    Ptr.h
    RefCounted.h
    StrLib.h StrLib.cpp
    Stream.h
    StdStream.h
    TextWriter.h TextWriter.cpp
    Timer.h Timer.cpp
    Utils.h)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

# targets
ADD_DEFINITIONS(-DNVCORE_EXPORTS)

IF(UNIX)
    SET(LIBS ${LIBS} ${CMAKE_DL_LIBS})
ENDIF(UNIX)

IF(NVCORE_SHARED)
    ADD_DEFINITIONS(-DNVCORE_SHARED=1)
    ADD_LIBRARY(nvcore SHARED ${CORE_SRCS})
ELSE(NVCORE_SHARED)
    ADD_LIBRARY(nvcore ${CORE_SRCS})
ENDIF(NVCORE_SHARED)

TARGET_LINK_LIBRARIES(nvcore ${LIBS})

# On NetBSD backtrace() is provided by libexecinfo, not libc.
if (CMAKE_SYSTEM_NAME MATCHES "NetBSD")
     TARGET_LINK_LIBRARIES(nvcore execinfo)
endif()

INSTALL(TARGETS nvcore
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib
    ARCHIVE DESTINATION lib/static)

=== src/nvimage/CMakeLists.txt ===
PROJECT(nvimage)

SET(IMAGE_SRCS	
    nvimage.h
    BlockDXT.h BlockDXT.cpp
    ColorBlock.h ColorBlock.cpp
    DirectDrawSurface.h DirectDrawSurface.cpp
    ErrorMetric.h ErrorMetric.cpp
    Filter.h Filter.cpp
    FloatImage.h FloatImage.cpp
    Image.h Image.cpp
    ImageIO.h ImageIO.cpp
    #KtxFile.h KtxFile.cpp
    NormalMap.h NormalMap.cpp
    PixelFormat.h
    PsdFile.h
    TgaFile.h)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

IF(PNG_FOUND)
    SET(LIBS ${LIBS} ${PNG_LIBRARIES})
    INCLUDE_DIRECTORIES(${PNG_INCLUDE_DIR})
ENDIF(PNG_FOUND)

IF(JPEG_FOUND)
    SET(LIBS ${LIBS} ${JPEG_LIBRARIES})
    INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
ENDIF(JPEG_FOUND)

IF(TIFF_FOUND)
    SET(LIBS ${LIBS} ${TIFF_LIBRARIES})
    INCLUDE_DIRECTORIES(${TIFF_INCLUDE_DIR})
ENDIF(TIFF_FOUND)

IF(OPENEXR_FOUND)
    SET(LIBS ${LIBS} ${OPENEXR_LIBRARIES})
    INCLUDE_DIRECTORIES(${OPENEXR_INCLUDE_PATHS})
ENDIF(OPENEXR_FOUND)

IF(FREEIMAGE_FOUND)
    SET(LIBS ${LIBS} ${FREEIMAGE_LIBRARIES})
    INCLUDE_DIRECTORIES(${FREEIMAGE_INCLUDE_PATH})
ENDIF(FREEIMAGE_FOUND)

# targets
ADD_DEFINITIONS(-DNVIMAGE_EXPORTS)

IF(NVIMAGE_SHARED)
    ADD_DEFINITIONS(-DNVIMAGE_SHARED=1)
    ADD_LIBRARY(nvimage SHARED ${IMAGE_SRCS})
ELSE(NVIMAGE_SHARED)
    ADD_LIBRARY(nvimage ${IMAGE_SRCS})
ENDIF(NVIMAGE_SHARED)

TARGET_LINK_LIBRARIES(nvimage ${LIBS} nvcore posh bc6h bc7 nvmath)

INSTALL(TARGETS nvimage
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib
    ARCHIVE DESTINATION lib/static)

=== src/nvmath/CMakeLists.txt ===
PROJECT(nvmath)

SET(MATH_SRCS
    nvmath.h
    Box.h Box.inl
    Color.h Color.inl
    Fitting.h Fitting.cpp
    Half.h Half.cpp
    Matrix.h
    Plane.h Plane.inl Plane.cpp
    SphericalHarmonic.h SphericalHarmonic.cpp
    SimdVector.h SimdVector_SSE.h SimdVector_VE.h
    Vector.h Vector.inl)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

# targets
ADD_DEFINITIONS(-DNVMATH_EXPORTS)

IF(NVMATH_SHARED)
    ADD_DEFINITIONS(-DNVMATH_SHARED=1)
    ADD_LIBRARY(nvmath SHARED ${MATH_SRCS})
ELSE(NVMATH_SHARED)
    ADD_LIBRARY(nvmath ${MATH_SRCS})
ENDIF(NVMATH_SHARED)

TARGET_LINK_LIBRARIES(nvmath ${LIBS} nvcore)

INSTALL(TARGETS nvmath
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib
    ARCHIVE DESTINATION lib/static)

=== src/nvtt/CMakeLists.txt ===
PROJECT(nvtt)

ADD_SUBDIRECTORY(squish)

SET(NVTT_SRCS
    nvtt.h nvtt.cpp
    nvtt_wrapper.h nvtt_wrapper.cpp
    ClusterFit.h ClusterFit.cpp
    Compressor.h
    BlockCompressor.h BlockCompressor.cpp
    CompressorDX9.h CompressorDX9.cpp
    CompressorDX10.h CompressorDX10.cpp
    CompressorDX11.h CompressorDX11.cpp
    CompressorDXT1.h CompressorDXT1.cpp
    CompressorDXT5_RGBM.h CompressorDXT5_RGBM.cpp
    CompressorRGB.h CompressorRGB.cpp
    Context.h Context.cpp
    QuickCompressDXT.h QuickCompressDXT.cpp
    OptimalCompressDXT.h OptimalCompressDXT.cpp
    SingleColorLookup.h SingleColorLookup.cpp
    CompressionOptions.h CompressionOptions.cpp
    InputOptions.h InputOptions.cpp
    OutputOptions.h OutputOptions.cpp
    TaskDispatcher.h #TaskDispatcher.cpp
    Surface.h Surface.cpp
    CubeSurface.h CubeSurface.cpp
    cuda/CudaUtils.h cuda/CudaUtils.cpp
    cuda/CudaMath.h
    cuda/BitmapTable.h
    cuda/CudaCompressorDXT.h cuda/CudaCompressorDXT.cpp)

IF (CUDA_FOUND)
    ADD_DEFINITIONS(-DHAVE_CUDA)
    CUDA_COMPILE(CUDA_SRCS cuda/CompressKernel.cu)
    SET(NVTT_SRCS ${NVTT_SRCS} ${CUDA_SRCS})
    SET(LIBS ${LIBS} ${CUDA_LIBRARIES})
    INCLUDE_DIRECTORIES(${CUDA_INCLUDE_DIRS})
ENDIF (CUDA_FOUND)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

ADD_DEFINITIONS(-DNVTT_EXPORTS)

IF(NVTT_SHARED)	
    ADD_LIBRARY(nvtt SHARED ${NVTT_SRCS})
ELSE(NVTT_SHARED)
    ADD_LIBRARY(nvtt ${NVTT_SRCS})
ENDIF(NVTT_SHARED)

TARGET_LINK_LIBRARIES(nvtt ${LIBS} nvcore nvimage nvthread squish bc6h bc7 nvmath)

INSTALL(TARGETS nvtt 
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib
    ARCHIVE DESTINATION lib/static)

INSTALL(FILES nvtt.h DESTINATION include/nvtt)


ADD_SUBDIRECTORY(tools)
ADD_SUBDIRECTORY(tests)

=== src/nvtt/tests/CMakeLists.txt ===

ADD_EXECUTABLE(filtertest filtertest.cpp ../tools/cmdline.h)
TARGET_LINK_LIBRARIES(filtertest nvcore nvmath nvimage nvtt)

ADD_EXECUTABLE(nvtestsuite testsuite.cpp)
TARGET_LINK_LIBRARIES(nvtestsuite nvcore nvmath nvimage nvtt)
ADD_TEST(NVTT.TestSuite.Kodak.cuda nvtestsuite -path ${NV_SOURCE_DIR}/data/testsuite -set 0 -out output-cuda-kodak)
ADD_TEST(NVTT.TestSuite.Waterloo.cuda nvtestsuite -path ${NV_SOURCE_DIR}/data/testsuite -set 1 -out output-cuda-waterloo)
ADD_TEST(NVTT.TestSuite.Epic.cuda nvtestsuite -path ${NV_SOURCE_DIR}/data/testsuite -set 2 -out output-cuda-epic)
ADD_TEST(NVTT.TestSuite.Kodak.nocuda nvtestsuite -path ${NV_SOURCE_DIR}/data/testsuite -set 0 -nocuda -out output-nocuda-kodak)
ADD_TEST(NVTT.TestSuite.Waterloo.nocuda nvtestsuite -path ${NV_SOURCE_DIR}/data/testsuite -set 1 -nocuda -out output-nocuda-waterloo)
ADD_TEST(NVTT.TestSuite.Epic.nocuda nvtestsuite -path ${NV_SOURCE_DIR}/data/testsuite -set 2 -nocuda -out output-nocuda-epic)

IF (CUDA_FOUND)
    ADD_EXECUTABLE(driverapitest driverapi.cpp)
    TARGET_LINK_LIBRARIES(driverapitest nvcore nvmath nvimage nvtt)
ENDIF (CUDA_FOUND)

ADD_EXECUTABLE(imperativeapi imperativeapi.cpp)
TARGET_LINK_LIBRARIES(imperativeapi nvcore nvmath nvimage nvtt)

ADD_EXECUTABLE(process_alpha_map process_alpha_map.cpp)
TARGET_LINK_LIBRARIES(process_alpha_map nvcore nvmath nvimage nvtt)

ADD_EXECUTABLE(cubemaptest cubemaptest.cpp)
TARGET_LINK_LIBRARIES(cubemaptest nvcore nvmath nvimage nvtt)

ADD_EXECUTABLE(nvhdrtest hdrtest.cpp)
TARGET_LINK_LIBRARIES(nvhdrtest nvcore nvimage nvtt bc6h nvmath)

INSTALL(TARGETS nvtestsuite nvhdrtest DESTINATION bin)
 
#include_directories("/usr/include/ffmpeg/")
#ADD_EXECUTABLE(nvmpegenc tools/mpegenc.cpp tools/cmdline.h)
#TARGET_LINK_LIBRARIES(nvmpegenc nvcore nvmath nvimage avcodec z)
#INSTALL(TARGETS nvmpegenc DESTINATION bin)

=== src/nvtt/tools/CMakeLists.txt ===

ADD_EXECUTABLE(nvcompress compress.cpp cmdline.h)
TARGET_LINK_LIBRARIES(nvcompress nvcore nvimage nvtt bc6h nvmath)

ADD_EXECUTABLE(nvdecompress decompress.cpp cmdline.h)
TARGET_LINK_LIBRARIES(nvdecompress nvcore nvimage nvtt bc6h nvmath)

ADD_EXECUTABLE(nvddsinfo ddsinfo.cpp cmdline.h)
TARGET_LINK_LIBRARIES(nvddsinfo nvcore nvimage nvtt bc6h nvmath)

ADD_EXECUTABLE(nvimgdiff imgdiff.cpp cmdline.h)
TARGET_LINK_LIBRARIES(nvimgdiff nvcore nvtt bc6h nvmath)

ADD_EXECUTABLE(nvassemble assemble.cpp cmdline.h)
TARGET_LINK_LIBRARIES(nvassemble nvcore nvimage nvtt bc6h nvmath)

ADD_EXECUTABLE(nvzoom resize.cpp cmdline.h)
TARGET_LINK_LIBRARIES(nvzoom nvcore nvimage nvtt bc6h nvmath)

SET(TOOLS nvcompress nvdecompress nvddsinfo nvassemble nvzoom)

IF(GLEW_FOUND AND GLUT_FOUND AND OPENGL_FOUND)
    INCLUDE_DIRECTORIES(${GLEW_INCLUDE_PATH} ${GLUT_INCLUDE_DIR} ${OPENGL_INCLUDE_DIR})
    ADD_EXECUTABLE(nvddsview ddsview.cpp cmdline.h)
    TARGET_LINK_LIBRARIES(nvddsview nvcore nvimage ${GLEW_LIBRARY} ${GLUT_LIBRARY} ${OPENGL_LIBRARY})
    SET(TOOLS ${TOOLS} nvddsview)
ENDIF(GLEW_FOUND AND GLUT_FOUND AND OPENGL_FOUND)


ADD_EXECUTABLE(nv-gnome-thumbnailer thumbnailer.cpp cmdline.h)
TARGET_LINK_LIBRARIES(nv-gnome-thumbnailer nvcore nvtt nvimage bc6h nvmath)

SET(TOOLS ${TOOLS} nv-gnome-thumbnailer)

INSTALL(TARGETS ${TOOLS} DESTINATION bin)
 
 # Use gconftool-2 to install gnome thumbnailer
FIND_PROGRAM(GCONFTOOL2 gconftool-2)

IF(GCONFTOOL2)
	CONFIGURE_FILE(nvtt-thumbnailer.schema.in ${CMAKE_CURRENT_BINARY_DIR}/nvtt-thumbnailer.schema)

 	INSTALL(CODE "MESSAGE(STATUS \"Installing thumbnailer schema\")")
 	#gconftool-2 --get-default-source
 	INSTALL(CODE "EXECUTE_PROCESS(COMMAND ${GCONFTOOL2} --get-default-source OUTPUT_VARIABLE GCONF_CONFIG_SOURCE OUTPUT_STRIP_TRAILING_WHITESPACE)")
 	INSTALL(CODE "set(ENV{GCONF_CONFIG_SOURCE} \"\${GCONF_CONFIG_SOURCE}\")")
 	INSTALL(CODE "EXECUTE_PROCESS(COMMAND ${GCONFTOOL2} --makefile-install-rule ${CMAKE_CURRENT_BINARY_DIR}/nvtt-thumbnailer.schema)")
ENDIF(GCONFTOOL2)

# UI tools
#FIND_PACKAGE(Qt4)
IF(QT4_FOUND)
	SET(QT_USE_QTOPENGL TRUE)
	INCLUDE_DIRECTORIES(${QT_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
	
	SET(SRCS
                compressdialog.h
                compressdialog.cpp)

	SET(LIBS
		nvtt
		${QT_QTCORE_LIBRARY}
		${QT_QTGUI_LIBRARY}
		${QT_QTOPENGL_LIBRARY})

        QT4_WRAP_UI(UICS compressdialog.ui)
        QT4_WRAP_CPP(MOCS compressdialog.h)
	#QT4_ADD_RESOURCES(RCCS ui/configdialog.rc)

	#ADD_EXECUTABLE(nvtt-diag MACOSX_BUNDLE ${SRCS} ${UICS} ${MOCS})
	#TARGET_LINK_LIBRARIES(nvtt-diag ${LIBS})

ENDIF(QT4_FOUND)

## nvidia-texture-tools 2.1.0-git20160229+dfsg

=== debian/changelog ===
nvidia-texture-tools (2.1.0-git20160229+dfsg-2~exp1) experimental; urgency=low

  * Imported Upstream version 2.1.0-git20160229
  * Experimental build
  * Added patches for building on kFreeBSD/ARM64/ARM/PPC with 2.1.0

 -- Lennart Weller <lhw@ring0.de>  Tue, 17 May 2016 14:06:23 +0200

=== debian/control ===
Source: nvidia-texture-tools
Section: libs
Priority: extra
Maintainer: Lennart Weller <lhw@ring0.de>
Vcs-Git: https://anonscm.debian.org/collab-maint/nvidia-texture-tools.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/nvidia-texture-tools.git
Build-Depends: cmake,
               debhelper (>= 9),
               dpkg-dev (>= 1.16),
               freeglut3-dev,
               libfreeimage-dev,
               libglew-dev,
               libilmbase-dev,
               libjpeg-dev,
               libopenexr-dev,
               libpng-dev,
               libtiff-dev,
               libxi-dev,
               libxmu-dev,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: https://github.com/castano/nvidia-texture-tools

Package: libnvtt2
Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA Texture Tools
 NVIDIA Texture Tools is a collection of image processing and texture
 manipulation tools, designed to be integrated in game tools and asset
 conditioning pipelines.  The primary features of the library are mipmap and
 normal map generation, format conversion and DXT compression.

Package: libnvtt-bin
Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: nvidia-texture-tools
Description: NVIDIA Texture Tools (Binaries)
 NVIDIA Texture Tools is a collection of image processing and texture
 manipulation tools, designed to be integrated in game tools and asset
 conditioning pipelines.  The primary features of the library are mipmap and
 normal map generation, format conversion and DXT compression.
 .
 This package contains the nvidia texture tools.

Package: libnvtt-dev
Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Section: libdevel
Depends: libnvtt2 (= ${binary:Version}), ${misc:Depends}
Description: NVIDIA Texture Tools (Header)
 NVIDIA Texture Tools is a collection of image processing and texture
 manipulation tools, designed to be integrated in game tools and asset
 conditioning pipelines.  The primary features of the library are mipmap and
 normal map generation, format conversion and DXT compression.
 .
 This package contains the header and development files needed to build
 programs and packages using libnvtt.

=== debian/rules ===
#!/usr/bin/make -f

DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DNVTT_SHARED=1 -DCMAKE_BUILD_TYPE=Release \
		-DLIB_DIR_PATH=lib/$(DEB_HOST_MULTIARCH)

override_dh_installdocs:
	dh_installdocs --link-doc=libnvtt2

override_dh_auto_test:

get-orig-source:
	uscan --noconf --force-download --rename --repack --download-current-version --destdir=$(DEB_DEBIAN_DIR)/..

=== debian/watch ===
# upstream release tags outdated

## nvidia-texture-tools 2.1.0-+dfsg

=== debian/changelog ===
nvidia-texture-tools (2.1.0-+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * nvddsview is no longer being built.
  * Fix FTBFS on i386.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 29 Oct 2025 23:18:43 +0100

nvidia-texture-tools (2.1.0-git20160229+dfsg-4) experimental; urgency=medium

  * Fix FTBFS on ppc64el and armhf/armel.
  * Update .symbols control file.
  * Fix tools installation.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Oct 2025 23:11:37 +0100

nvidia-texture-tools (2.1.0-git20160229+dfsg-3) experimental; urgency=medium

  * Merge changes from 2.0.8-1+dfsg-11.
  * Drop unused Build-Depends.  (Closes: #1017553)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 30 Sep 2025 11:10:24 +0200

nvidia-texture-tools (2.1.0-git20160229+dfsg-2) experimental; urgency=medium

  * Fix FTBFS.  (Closes: #947443)
  * Build a shared nvthread library.
  * Merge changes from 2.0.8-1+dfsg-10.
  * Refresh patches.
  * Bump SOVERSION to 2.1 and rename packages accordingly.  (Closes: #916909)
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 24 Sep 2025 19:38:54 +0200

nvidia-texture-tools (2.1.0-git20160229+dfsg-1) experimental; urgency=low

  * Imported Upstream version 2.1.0-git20160229
  * Experimental build

 -- Lennart Weller <lhw@ring0.de>  Wed, 11 May 2016 13:03:41 +0200

=== debian/control ===
Source: nvidia-texture-tools
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Lennart Weller <lhw@ring0.de>,
 Andreas Beckmann <anbe@debian.org>,
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libglut-dev,
               libglew-dev,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/nvidia-texture-tools
Vcs-Git: https://salsa.debian.org/debian/nvidia-texture-tools.git
Homepage: https://github.com/castano/nvidia-texture-tools

Package: libnvtt2.1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: NVIDIA Texture Tools
 NVIDIA Texture Tools is a collection of image processing and texture
 manipulation tools, designed to be integrated in game tools and asset
 conditioning pipelines.  The primary features of the library are mipmap and
 normal map generation, format conversion and DXT compression.

Package: libnvtt-bin
Architecture: any
Multi-Arch: foreign
Section: graphics
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: nvidia-texture-tools
Description: NVIDIA Texture Tools (Binaries)
 NVIDIA Texture Tools is a collection of image processing and texture
 manipulation tools, designed to be integrated in game tools and asset
 conditioning pipelines.  The primary features of the library are mipmap and
 normal map generation, format conversion and DXT compression.
 .
 This package contains the nvidia texture tools.

Package: libnvtt-dev
Architecture: any
Section: libdevel
Depends: libnvtt2.1 (= ${binary:Version}),
         ${misc:Depends}
Description: NVIDIA Texture Tools (Header)
 NVIDIA Texture Tools is a collection of image processing and texture
 manipulation tools, designed to be integrated in game tools and asset
 conditioning pipelines.  The primary features of the library are mipmap and
 normal map generation, format conversion and DXT compression.
 .
 This package contains the header and development files needed to build
 programs and packages using libnvtt.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS	 = hardening=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DNVTT_SHARED=1 \
		-DNVTHREAD_SHARED=1 \

override_dh_installdocs:
	dh_installdocs --link-doc=libnvtt2.1

override_dh_auto_test:
